Index: modules/uoa-services-library/trunk/ng-openaire-library-production/src/app/utils/properties/environment-specific.service.ts
===================================================================
--- modules/uoa-services-library/trunk/ng-openaire-library-production/src/app/utils/properties/environment-specific.service.ts	(revision 53463)
+++ modules/uoa-services-library/trunk/ng-openaire-library-production/src/app/utils/properties/environment-specific.service.ts	(revision 53464)
@@ -20,7 +20,8 @@
 
   private serverUrl = "http://scoobydoo.di.uoa.gr:4000";
   // private serverUrl = "https://explore.openaire.eu";
-  // private serverUrl = "https://beta.connect.openaire.eu";
+  // private serverUrl = "https://connect.openaire.eu";
+  // private serverUrl = "https://test.explore.openaire.eu";
   constructor(private http: Http,  @Inject(PLATFORM_ID) private platformId: string) {
       this.testBrowser = isPlatformBrowser(platformId);
       if (this.testBrowser) {
Index: modules/uoa-services-library/trunk/ng-openaire-library-production/src/app/deposit/publications/depositPublications.component.ts
===================================================================
--- modules/uoa-services-library/trunk/ng-openaire-library-production/src/app/deposit/publications/depositPublications.component.ts	(revision 53463)
+++ modules/uoa-services-library/trunk/ng-openaire-library-production/src/app/deposit/publications/depositPublications.component.ts	(revision 53464)
@@ -8,7 +8,7 @@
        <div class="tm-main uk-width-1-1@s uk-width-1-1@m  uk-width-1-1@l uk-row-first ">
 
       <div class="uk-container">
-        <deposit [compatibility]="'openaire____::47ce9e9f4fad46e732cff06419ecaabb||OpenDOAR'" [requestFor]="'Publications'" [mapUrl]=mapUrl [piwikSiteId]=piwikSiteId></deposit>
+        <deposit [compatibility]="'openaire____::47ce9e9f4fad46e732cff06419ecaabb||OpenDOAR'" [requestFor]="'Publications'" [mapUrl]=mapUrl [piwikSiteId]=piwikSiteId></deposit>         
       </div>
       </div>
     </div>
@@ -17,6 +17,6 @@
 })
 
 export class DepositPublicationsComponent {
-  public mapUrl ="https://www.openaire.eu/stats/markers-demo.html";
+  public mapUrl ="https://beta.openaire.eu/stats/markers-demo.html";
   @Input() piwikSiteId = null;
 }
Index: modules/uoa-services-library/trunk/ng-openaire-library-production/src/app/claims/claimsByToken/claimsByToken.service.ts
===================================================================
--- modules/uoa-services-library/trunk/ng-openaire-library-production/src/app/claims/claimsByToken/claimsByToken.service.ts	(revision 53463)
+++ modules/uoa-services-library/trunk/ng-openaire-library-production/src/app/claims/claimsByToken/claimsByToken.service.ts	(revision 53464)
@@ -11,10 +11,11 @@
 
     constructor(private http: Http ) {}
 
-    getClaims(token: string,  apiURL:string):any {
+    getClaims(openaireId: string,  apiURL:string):any {
         console.info("getClaims in service");
 
-        let url = apiURL+"project/claims?projectToken="+token;
+        //let url = apiURL+"project/claims?projectToken="+token;
+        let url = apiURL+"projects/"+openaireId+"/all_claims";
 
         let key = url;
 
Index: modules/uoa-services-library/trunk/ng-openaire-library-production/src/app/claims/linking/selected/selectedResults.component.ts
===================================================================
--- modules/uoa-services-library/trunk/ng-openaire-library-production/src/app/claims/linking/selected/selectedResults.component.ts	(revision 53463)
+++ modules/uoa-services-library/trunk/ng-openaire-library-production/src/app/claims/linking/selected/selectedResults.component.ts	(revision 53464)
@@ -25,7 +25,7 @@
                  <tr  *ngFor="let pub of results" >
                      <td   >
                         <div>
-                          <span *ngIf="showAccessRights" (click)="removePublication(pub)" aria-hidden="true" class="uk-icon-button"><span class="uk-icon">
+                          <span *ngIf="showAccessRights" (click)="removePublication(pub)" aria-hidden="true" class="uk-icon-button icon-button-small"><span class="uk-icon">
 <svg width="20" height="20" viewBox="0 0 20 20" xmlns="http://www.w3.org/2000/svg" icon="close" ratio="1"><path fill="none" stroke="#000" stroke-width="1.06" d="M16,16 L4,4"></path><path fill="none" stroke="#000" stroke-width="1.06" d="M16,4 L4,16"></path></svg>
 </span></span>
                           <a *ngIf="pub.url" target="_blank" href="{{pub.url}}" > <span class="custom-external"></span> {{pub.title?pub.title:'[No title available]'}}</a>
Index: modules/uoa-services-library/trunk/ng-openaire-library-production/src/app/claims/claim-utils/startOver.component.ts
===================================================================
--- modules/uoa-services-library/trunk/ng-openaire-library-production/src/app/claims/claim-utils/startOver.component.ts	(revision 53463)
+++ modules/uoa-services-library/trunk/ng-openaire-library-production/src/app/claims/claim-utils/startOver.component.ts	(revision 53464)
@@ -6,7 +6,7 @@
 @Component({
     selector: 'start-over',
     template: `
-    <!--button   (click)="confirmOpen()"  class="uk-button uk-button-danger uk-align-left"  >  <span  class="uk-icon"><svg width="20" height="20" viewBox="0 0 20 20" xmlns="http://www.w3.org/2000/svg" icon="refresh" ratio="1"><path fill="none" stroke="#000" stroke-width="1.1" d="M17.08,11.15 C17.09,11.31 17.1,11.47 17.1,11.64 C17.1,15.53 13.94,18.69 10.05,18.69 C6.16,18.68 3,15.53 3,11.63 C3,7.74 6.16,4.58 10.05,4.58 C10.9,4.58 11.71,4.73 12.46,5"></path><polyline fill="none" stroke="#000" points="9.9 2 12.79 4.89 9.79 7.9"></polyline></svg></span> Clear All</button-->
+    <!--button   (click)="confirmOpen()"  class="uk-button portal-button uk-align-left"  >  <span  class="uk-icon"><svg width="20" height="20" viewBox="0 0 20 20" xmlns="http://www.w3.org/2000/svg" icon="refresh" ratio="1"><path fill="none" stroke="#000" stroke-width="1.1" d="M17.08,11.15 C17.09,11.31 17.1,11.47 17.1,11.64 C17.1,15.53 13.94,18.69 10.05,18.69 C6.16,18.68 3,15.53 3,11.63 C3,7.74 6.16,4.58 10.05,4.58 C10.9,4.58 11.71,4.73 12.46,5"></path><polyline fill="none" stroke="#000" points="9.9 2 12.79 4.89 9.79 7.9"></polyline></svg></span> Clear All</button-->
     <span  (click)="confirmOpen()" uk-tooltip="title:Remove selected" aria-expanded="false" class="uk-text-danger uk-width-small" [style]="'cursor: '+ ((results.length + projects.length + contexts.length > 0)?'pointer;':'not-allowed;')" [style.cursor]="((results.length + projects.length + contexts.length > 0)?'pointer':'not-allowed')">
       <span class="uk-icon">
         <svg width="20" height="20" viewBox="0 0 20 20" xmlns="http://www.w3.org/2000/svg"> <polyline fill="none" stroke="#000" points="6.5 3 6.5 1.5 13.5 1.5 13.5 3"></polyline> <polyline fill="none" stroke="#000" points="4.5 4 4.5 18.5 15.5 18.5 15.5 4"></polyline> <rect x="8" y="7" width="1" height="9"></rect> <rect x="11" y="7" width="1" height="9"></rect> <rect x="2" y="3" width="16" height="1"></rect></svg>
Index: modules/uoa-services-library/trunk/ng-openaire-library-production/src/app/claims/linking/bulkClaim/bulkClaim.component.ts
===================================================================
--- modules/uoa-services-library/trunk/ng-openaire-library-production/src/app/claims/linking/bulkClaim/bulkClaim.component.ts	(revision 53463)
+++ modules/uoa-services-library/trunk/ng-openaire-library-production/src/app/claims/linking/bulkClaim/bulkClaim.component.ts	(revision 53464)
@@ -22,7 +22,7 @@
           <label for="exampleInputFile">Select a file: </label>
           <div class="js-upload" uk-form-custom>
             <input id="exampleInputFile" class="uk-width-medium" type="file"  (change)="fileChangeEvent($event)"/>
-            <button class="uk-button uk-button-default" type="button" tabindex="-1" [class.disabled]="!enableUpload" ><span class="uk-margin-small-right uk-icon"  >
+            <button class="uk-button  portal-button" type="button" tabindex="-1" [class.disabled]="!enableUpload" ><span class="uk-margin-small-right uk-icon"  >
             <svg width="20" height="20" viewBox="0 0 20 20" xmlns="http://www.w3.org/2000/svg"> <polyline fill="none" stroke="#000" points="5 8 9.5 3.5 14 8 "></polyline> <rect x="3" y="17" width="13" height="1"></rect>
              <line fill="none" stroke="#000" x1="9.5" y1="15" x2="9.5" y2="4"></line></svg></span> Select</button>
             <!--button class="uk-button uk-button-small" [class.disabled]="!enableUpload" type="button" (click)="upload()">Upload</button-->
Index: modules/uoa-services-library/trunk/ng-openaire-library-production/src/app/utils/properties/env-properties.ts
===================================================================
--- modules/uoa-services-library/trunk/ng-openaire-library-production/src/app/utils/properties/env-properties.ts	(revision 53463)
+++ modules/uoa-services-library/trunk/ng-openaire-library-production/src/app/utils/properties/env-properties.ts	(revision 53464)
@@ -70,7 +70,8 @@
 
 
   feedbackmail;
-
+  feedbackmailForMissingEntities;
+  
   helperPageUrl;
 
   cacheUrl;
Index: modules/uoa-services-library/trunk/ng-openaire-library-production/src/app/app.component.ts
===================================================================
--- modules/uoa-services-library/trunk/ng-openaire-library-production/src/app/app.component.ts	(revision 53463)
+++ modules/uoa-services-library/trunk/ng-openaire-library-production/src/app/app.component.ts	(revision 53464)
@@ -37,7 +37,7 @@
           <cookie-law *ngIf= "isClient" position="bottom">
               OpenAIRE uses cookies in order to function properly.<br>
               Cookies are small pieces of data that websites store in your browser to allow us to give you the best browsing experience possible.
-              By using the OpenAIRE portal you accept our use of cookies. <a href="//ec.europa.eu/ipg/basics/legal/cookies/index_en.htm" target="_blank"> Read more <span class="uk-icon">
+              By using the OpenAIRE portal you accept our use of cookies. <a href="http://ec.europa.eu/ipg/basics/legal/cookies/index_en.htm" target="_blank"> Read more <span class="uk-icon">
               <svg width="20" height="20" viewBox="0 0 20 20" xmlns="http://www.w3.org/2000/svg" icon="chevron-right" ratio="1"><polyline fill="none" stroke="#000" stroke-width="1.03" points="7 4 13 10 7 16"></polyline></svg>
               </span></a>
           </cookie-law>
Index: modules/uoa-services-library/trunk/ng-openaire-library-production/src/app/deposit/depositResult.component.ts
===================================================================
--- modules/uoa-services-library/trunk/ng-openaire-library-production/src/app/deposit/depositResult.component.ts	(revision 53463)
+++ modules/uoa-services-library/trunk/ng-openaire-library-production/src/app/deposit/depositResult.component.ts	(revision 53464)
@@ -29,7 +29,7 @@
               <helper position="left" styleName=" uk-width-1-5 uk-padding-left"></helper>
               <div class="uk-width-expand">
                 <div *ngIf="status == errorCodes.LOADING || (status == errorCodes.LOADING && fetchDataproviders.searchUtils.status == errorCodes.LOADING)"
-                      class="uk-animation-fade uk-margin-top  uk-width-1-1" role="alert"><img class="loading-gif  uk-align-center" >
+                      class="uk-animation-fade uk-margin-top  uk-width-1-1" role="alert"><span class="loading-gif  uk-align-center" ></span>
                 </div>
 
 
@@ -43,7 +43,7 @@
                         [title] = "'Organizations'"  [multipleSelections]=false (selectedValueChanged)="valueChanged($event)">
                       </entities-autocomplete>
                       </div>
-                      <button class=" uk-button uk-button-default"  type="submit" (click)="organizationSelected(selectedId)" >
+                      <button class=" uk-button portal-button"  type="submit" (click)="organizationSelected(selectedId)" >
                           Locate
                       </button>
                       <div *ngIf="warningMessage.length > 0" class="uk-alert uk-alert-warning uk-animation-fade" role="alert">{{warningMessage}}</div>
Index: modules/uoa-services-library/trunk/ng-openaire-library-production/src/app/claims/claim-utils/claimContextSearchForm.component.ts
===================================================================
--- modules/uoa-services-library/trunk/ng-openaire-library-production/src/app/claims/claim-utils/claimContextSearchForm.component.ts	(revision 53463)
+++ modules/uoa-services-library/trunk/ng-openaire-library-production/src/app/claims/claim-utils/claimContextSearchForm.component.ts	(revision 53464)
@@ -77,7 +77,7 @@
               <div *ngIf="error" class="uk-alert uk-alert-warning" role="alert">An error occured while loading communities...</div>
               <div class="uk-text-large  ">or</div>
               <div class=" uk-text-bold uk-margin-bottom uk-margin-left">browse through community categories:
-                <button  uk-toggle="target: #browse; animation:  uk-animation-fade" class="uk-button uk-button-default"> Browse </button>
+                <button  uk-toggle="target: #browse; animation:  uk-animation-fade" class="uk-button  portal-button"> Browse </button>
               </div>
               <div class="uk-margin-left">
 
Index: modules/uoa-services-library/trunk/ng-openaire-library-production/src/app/claims/claimsByToken/claimsByToken.component.ts
===================================================================
--- modules/uoa-services-library/trunk/ng-openaire-library-production/src/app/claims/claimsByToken/claimsByToken.component.ts	(revision 53463)
+++ modules/uoa-services-library/trunk/ng-openaire-library-production/src/app/claims/claimsByToken/claimsByToken.component.ts	(revision 53464)
@@ -34,7 +34,7 @@
 
 })
 export class ClaimsByTokenComponent {
-  public token: string = "";
+  public openaireId: string = "";
   public sub: any;
   public project: any;
   private claims:any = [];
@@ -97,7 +97,7 @@
       });
     this.sub =  this.route.queryParams.subscribe(params => {
         this.mode = "pending";
-        this.token = params['token'];
+        this.openaireId = params['openaireId'];
         this.selectedRight_PendingMode = new Set<string>();
         this.selectedWrong_PendingMode = new Set<string>();
         this.selectedRight_CuratedMode = new Set<string>();
@@ -253,7 +253,7 @@
 
   validateJWTandToken() {
 
-    if(this.token) {
+    if(this.openaireId) {
       this.pending_status = this.errorCodes.LOADING;
       this.curated_status = this.errorCodes.LOADING;
 
@@ -266,7 +266,7 @@
       this.activeCuratedPage.page = 1;
       this.totalCuratedResults.count = 0;
 
-      this.claimsByTokenService.getClaims(this.token,  this.properties.claimsAPIURL).subscribe(
+      this.claimsByTokenService.getClaims(this.openaireId,  this.properties.claimsAPIURL).subscribe(
           data => {
             //this.closeLoading();
             this.accessStatus = "valid";
@@ -288,7 +288,9 @@
               this.totalPendingResults.count = this.pending_claims.length;
               this.totalCuratedResults.count = this.curated_claims.length;
 
-              this.updateTitle("Claims For Project Managers - "+this.project.name);
+              if(this.project) {
+                this.updateTitle("Claims For Project Managers - "+this.project.name);
+              }
               this.showTables = true;
 
               if(!this.triggered) {
Index: modules/uoa-services-library/trunk/ng-openaire-library-production/src/app/claims/linking/insertClaim/insertClaim.component.ts
===================================================================
--- modules/uoa-services-library/trunk/ng-openaire-library-production/src/app/claims/linking/insertClaim/insertClaim.component.ts	(revision 53463)
+++ modules/uoa-services-library/trunk/ng-openaire-library-production/src/app/claims/linking/insertClaim/insertClaim.component.ts	(revision 53464)
@@ -28,7 +28,7 @@
         <div class="uk-alert uk-alert-warning  uk-margin-top" role="alert">{{warningMessage}}</div>
       </div>
     <div>
-    <button  *ngIf="!claiming  && showButton" (click)="validateInsertions()"  class="uk-button uk-button-danger uk-float-right"  >Finish</button>
+    <button  *ngIf="!claiming  && showButton" (click)="validateInsertions()"  class="uk-button portal-button uk-float-right"  >Finish</button>
   </div>
     `
 })
Index: modules/uoa-services-library/trunk/ng-openaire-library-production/src/app/sharedComponents/bottom.component.ts
===================================================================
--- modules/uoa-services-library/trunk/ng-openaire-library-production/src/app/sharedComponents/bottom.component.ts	(revision 53463)
+++ modules/uoa-services-library/trunk/ng-openaire-library-production/src/app/sharedComponents/bottom.component.ts	(revision 53464)
@@ -10,7 +10,7 @@
 export class BottomComponent {
 
 @Input() showSocialButton:boolean = true;
-@Input() showOpenaire:boolean = false;
+@Input() showOpenaire:boolean = true;
 @Input() showMenu:boolean = true;
 @Input() showDnet:boolean = true;
 @Input() assetsPath:string ='assets/common-assets/';
